Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 90801 - Drop-down config combo in Run button
Drop-down config combo in Run button
Status: RESOLVED WONTFIX
Product: projects
Classification: Unclassified
Component: Generic Projects UI
6.x
All All
: P3 with 1 vote (vote)
: 6.x
Assigned To: Jesse Glick
issues@projects
:
Depends on: 102614 105664
Blocks: 49636
  Show dependency treegraph
 
Reported: 2006-12-08 04:13 UTC by belur_1d
Modified: 2007-06-11 18:41 UTC (History)
3 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments
run menu example (137.52 KB, application/octet-stream)
2007-04-23 14:00 UTC, wobster
Details
example run time configuration dialog (67.43 KB, application/octet-stream)
2007-04-23 14:04 UTC, wobster
Details
configuration definitions dialog (40.96 KB, application/octet-stream)
2007-04-23 14:06 UTC, wobster
Details
choose config dialog (appears after clicking on run config) (25.08 KB, application/octet-stream)
2007-04-23 14:07 UTC, wobster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description belur_1d 2006-12-08 04:13:28 UTC
Hi

Checked up the run configuration option provided in 6.0. Looks good
But i want to make one more suggestion. Hope u will include it.

Lets say i have 4 or 5 configrations for my project.Now when i click run button
it picks what was set in drop down option in run configuration. Fine.

But say i want to check fast what are the various options i have and immediately
choose from one of those..Currently in 6.0 I have to go to options
Change the drop down and come back

It will be lot easier if run button can be extended to have a small down
arrow(for example) next it. On clicking of this arrow,user can be shown names
the configured options for project. He can then be allowed to select any
option from the dropdown and immediately run that configuration...

I hope u see where i am getting at...Not that i am being lazy .. -:)
Since u have introduced the feature can u enhance it by adding this...

Thanks
swaroop belur
Comment 1 Jesse Glick 2006-12-08 16:02:13 UTC
This GUI element was certainly considered, and in fact attempted, but looks too
ugly to be included in the product. You can turn it on by adding to netbeans.conf:

-J-Dorg.netbeans.modules.project.ui.actions.MainProjectAction.SHOW_CONFIG_DROPDOWN=true

See:

http://projects.netbeans.org/buildsys/configurations.html

If you're an expert at Swing/Java2D component programming, and have several
machines (Win XP/Vista, Mac, Linux Gnome) at your disposal for testing (JDK 5/6,
L&F XP/Vista/Aqua/GTK/Ocean, large/small icons), patches are welcome. :-) There
is no standard component in Swing to provide this behavior and I was unable to
locate a satisfactory license-compatible third-party component.
Comment 2 wobster 2007-04-23 14:00:13 UTC
Created attachment 41452 [details]
run menu example
Comment 3 wobster 2007-04-23 14:02:07 UTC
I too like the ability to add multiple configurations, especially since you can
no longer change JVM or applications arguments on a per file basis. I've used
JBuilder for a long time, as well as, NetBeans. I think JBuilder has a nicely
streamlined work flow  for running different configurations. There is an entry
in the "Run" menu called "Run Configuration". If no configuration has been
defined, it pops a dialog to allow you to define a configuration. If only one
configuration is defined, it immediately runs the configuration. If multiple
configurations are defined, it pops a dialog to allow you to pick the desired
configuration. I've attached a few screen shots to illustrate.
Comment 4 wobster 2007-04-23 14:04:56 UTC
Created attachment 41453 [details]
example run time configuration dialog
Comment 5 wobster 2007-04-23 14:06:10 UTC
Created attachment 41454 [details]
configuration definitions dialog
Comment 6 wobster 2007-04-23 14:07:44 UTC
Created attachment 41455 [details]
choose config dialog (appears after clicking on run config)
Comment 7 Jesse Glick 2007-05-04 19:03:03 UTC
Implementing using new drop-down-button API.

Checking in projects/projectui/arch.xml;
/shared/data/ccvs/repository/projects/projectui/arch.xml,v  <--  arch.xml
new revision: 1.20; previous revision: 1.19
done
Checking in
projects/projectui/src/org/netbeans/modules/project/ui/actions/MainProjectAction.java;
/shared/data/ccvs/repository/projects/projectui/src/org/netbeans/modules/project/ui/actions/MainProjectAction.java,v
 <--  MainProjectAction.java
new revision: 1.17; previous revision: 1.16
done
Checking in projects/www/buildsys/configurations.html;
/shared/data/ccvs/repository/projects/www/buildsys/configurations.html,v  <-- 
configurations.html
new revision: 1.10; previous revision: 1.9
done
Checking in projects/projectui/nbproject/project.xml;
/shared/data/ccvs/repository/projects/projectui/nbproject/project.xml,v  <-- 
project.xml
new revision: 1.36; previous revision: 1.35
done
Comment 8 Jesse Glick 2007-06-11 18:40:21 UTC
Sorry, but this UI was rejected; see issue #105664.
Comment 9 Jesse Glick 2007-06-11 18:41:03 UTC
Will be backed out.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo